Package org.eclipse.birt.report.engine.api.script

# Interface IScriptedDataSetMetaData

public interface IScriptedDataSetMetaData
Interface used by Scripted Data Set's describe handler to define column metadata of the data set.

## Method Summary

Modifier and Type
Method
Description
`void`
`addColumn(String name, Class dataType)`
Adds a column to the metadata definition.

## Method Details

### addColumn

void addColumn(String name, Class dataType)
Adds a column to the metadata definition. A column is required to have a name and a data type. Acceptable data types are one of these classes or their derived classes: Integer, Double, BigDecimal. String, Date or byte[].

Parameters:
  `name` - Name of column; must not be null or empty
  `dataType` - data type of column; must be one of the supported types listed in method description.